Skip to content
Start here

Fetch a Gateway

client.AIGateway.Get(ctx, id, query) (*AIGatewayGetResponse, error)
GET/accounts/{account_id}/ai-gateway/gateways/{id}

Retrieves details for a specific AI Gateway dataset.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
AI Gateway WriteAI Gateway Read
ParametersExpand Collapse
id string

gateway id

maxLength64
minLength1
query AIGatewayGetParams
AccountID param.Field[string]
ReturnsExpand Collapse
type AIGatewayGetResponse struct{…}
ID string

gateway id

maxLength64
minLength1
CacheInvalidateOnUpdate bool
CacheTTL int64
minimum0
CollectLogs bool
CreatedAt Time
formatdate-time
ModifiedAt Time
formatdate-time
RateLimitingInterval int64
minimum0
RateLimitingLimit int64
minimum0
Authentication booloptional
DLP AIGatewayGetResponseDLPoptional
One of the following:
type AIGatewayGetResponseDLPObject struct{…}
Action AIGatewayGetResponseDLPObjectAction
One of the following:
const AIGatewayGetResponseDLPObjectActionBlock AIGatewayGetResponseDLPObjectAction = "BLOCK"
const AIGatewayGetResponseDLPObjectActionFlag AIGatewayGetResponseDLPObjectAction = "FLAG"
Enabled bool
Profiles []string
type AIGatewayGetResponseDLPObject struct{…}
Enabled bool
Policies []AIGatewayGetResponseDLPObjectPolicy
ID string
Action AIGatewayGetResponseDLPObjectPoliciesAction
One of the following:
const AIGatewayGetResponseDLPObjectPoliciesActionFlag AIGatewayGetResponseDLPObjectPoliciesAction = "FLAG"
const AIGatewayGetResponseDLPObjectPoliciesActionBlock AIGatewayGetResponseDLPObjectPoliciesAction = "BLOCK"
Check []AIGatewayGetResponseDLPObjectPoliciesCheck
One of the following:
const AIGatewayGetResponseDLPObjectPoliciesCheckRequest AIGatewayGetResponseDLPObjectPoliciesCheck = "REQUEST"
const AIGatewayGetResponseDLPObjectPoliciesCheckResponse AIGatewayGetResponseDLPObjectPoliciesCheck = "RESPONSE"
Enabled bool
Profiles []string
IsDefault booloptional
LogManagement int64optional
maximum10000000
minimum10000
LogManagementStrategy AIGatewayGetResponseLogManagementStrategyoptional
One of the following:
const AIGatewayGetResponseLogManagementStrategyStopInserting AIGatewayGetResponseLogManagementStrategy = "STOP_INSERTING"
const AIGatewayGetResponseLogManagementStrategyDeleteOldest AIGatewayGetResponseLogManagementStrategy = "DELETE_OLDEST"
Logpush booloptional
LogpushPublicKey stringoptional
maxLength1024
minLength16
Otel []AIGatewayGetResponseOteloptional
Authorization string
Headers map[string, string]
URL string
ContentType AIGatewayGetResponseOtelContentTypeoptional
One of the following:
const AIGatewayGetResponseOtelContentTypeJson AIGatewayGetResponseOtelContentType = "json"
const AIGatewayGetResponseOtelContentTypeProtobuf AIGatewayGetResponseOtelContentType = "protobuf"
RateLimitingTechnique AIGatewayGetResponseRateLimitingTechniqueoptional
One of the following:
const AIGatewayGetResponseRateLimitingTechniqueFixed AIGatewayGetResponseRateLimitingTechnique = "fixed"
const AIGatewayGetResponseRateLimitingTechniqueSliding AIGatewayGetResponseRateLimitingTechnique = "sliding"
RetryBackoff AIGatewayGetResponseRetryBackoffoptional

Backoff strategy for retry delays

One of the following:
const AIGatewayGetResponseRetryBackoffConstant AIGatewayGetResponseRetryBackoff = "constant"
const AIGatewayGetResponseRetryBackoffLinear AIGatewayGetResponseRetryBackoff = "linear"
const AIGatewayGetResponseRetryBackoffExponential AIGatewayGetResponseRetryBackoff = "exponential"
RetryDelay int64optional

Delay between retry attempts in milliseconds (0-5000)

maximum5000
minimum0
RetryMaxAttempts int64optional

Maximum number of retry attempts for failed requests (1-5)

maximum5
minimum1
StoreID stringoptional
Stripe AIGatewayGetResponseStripeoptional
Authorization string
UsageEvents []AIGatewayGetResponseStripeUsageEvent
Payload string
WorkersAIBillingMode AIGatewayGetResponseWorkersAIBillingModeoptional

Controls how Workers AI inference calls routed through this gateway are billed. Only 'postpaid' is currently supported.

Zdr booloptional

Fetch a Gateway

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/ai_gateway"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  aiGateway, err := client.AIGateway.Get(
    context.TODO(),
    "my-gateway",
    ai_gateway.AIGatewayGetParams{
      AccountID: cloudflare.F("3ebbcb006d4d46d7bb6a8c7f14676cb0"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", aiGateway.ID)
}
{
  "result": {
    "id": "my-gateway",
    "cache_invalidate_on_update": true,
    "cache_ttl": 0,
    "collect_logs": true,
    "created_at": "2019-12-27T18:11:19.117Z",
    "modified_at": "2019-12-27T18:11:19.117Z",
    "rate_limiting_interval": 0,
    "rate_limiting_limit": 0,
    "authentication": true,
    "dlp": {
      "action": "BLOCK",
      "enabled": true,
      "profiles": [
        "string"
      ]
    },
    "is_default": true,
    "log_management": 10000,
    "log_management_strategy": "STOP_INSERTING",
    "logpush": true,
    "logpush_public_key": "xxxxxxxxxxxxxxxx",
    "otel": [
      {
        "authorization": "authorization",
        "headers": {
          "foo": "string"
        },
        "url": "url",
        "content_type": "json"
      }
    ],
    "rate_limiting_technique": "fixed",
    "retry_backoff": "constant",
    "retry_delay": 0,
    "retry_max_attempts": 1,
    "store_id": "store_id",
    "stripe": {
      "authorization": "authorization",
      "usage_events": [
        {
          "payload": "payload"
        }
      ]
    },
    "workers_ai_billing_mode": "postpaid",
    "zdr": true
  },
  "success": true
}
Returns Examples
{
  "result": {
    "id": "my-gateway",
    "cache_invalidate_on_update": true,
    "cache_ttl": 0,
    "collect_logs": true,
    "created_at": "2019-12-27T18:11:19.117Z",
    "modified_at": "2019-12-27T18:11:19.117Z",
    "rate_limiting_interval": 0,
    "rate_limiting_limit": 0,
    "authentication": true,
    "dlp": {
      "action": "BLOCK",
      "enabled": true,
      "profiles": [
        "string"
      ]
    },
    "is_default": true,
    "log_management": 10000,
    "log_management_strategy": "STOP_INSERTING",
    "logpush": true,
    "logpush_public_key": "xxxxxxxxxxxxxxxx",
    "otel": [
      {
        "authorization": "authorization",
        "headers": {
          "foo": "string"
        },
        "url": "url",
        "content_type": "json"
      }
    ],
    "rate_limiting_technique": "fixed",
    "retry_backoff": "constant",
    "retry_delay": 0,
    "retry_max_attempts": 1,
    "store_id": "store_id",
    "stripe": {
      "authorization": "authorization",
      "usage_events": [
        {
          "payload": "payload"
        }
      ]
    },
    "workers_ai_billing_mode": "postpaid",
    "zdr": true
  },
  "success": true
}